UMSSYNC(8)

NAME
umssync - Synchronise Umsdos directory structure with MsDOS

SYNOPSIS
umssync [ options ] directory path ...

DESCRIPTION
umssync scan the given directories and compare the content of the file with the content of the DOS directory. Missing files in the are added.

We recommend running this utility in the /etc/rc.d/rc.M or /etc/rc.d/rc.S scripts right after the mount -a. It is expected that this utility will be one day merged into a fsck.umsdos.This utility is needed because files may be created during DOS session without LINUX knowing about it. There is no easy way to do this synchronisation at run time, in the file system driver. The performance penality would be to high.

need not to run on the entire file system. Only on parts of it which are activly used (file creation deletion etc...) during DOS session.

is normally run by root. In fact most IOCTL used by need root effective id. may be run by a ordinary user. may be setuid root. If it is run by another user than root, it changes its behavior. Most options are desallowed and the inheriting mode is forced on. This means that a user may apply in any directories, but the files "umssynced" will be given to the owner of the directory with fairly restrictive permission.

OPTIONS
All options require an argument. The argument may be glue to the option letter, or given separatly. Numeric arguments may be given in decimal, hexadecimal or octal unless specified. follow C language convention. Numbers starting with a 0 are octal. Numbers starting with 0x are hexadecimal.

-c+ or -c-
    Sets the conditionnal mode. The default is -c-. Under conditionnal mode, if a directory do not contain a file (was never umssync'ed), it won't be touch, nor any of its subdirectories. This option allows you to apply to a complete disk without trouble.

-d  Sets the mode value used for directory entry creation. The value is numeric only. The value must be an octal number. See chmod for more info on this. The default value is 0755 (rwxr-xr-x).

-f  Sets the mode value used for file entry creation. The value is numeric only. The value must be an octal number.
     See chmod for more info on this. The default value is 0644 (rw-r--r--).

-g  Sets the group id used for entry creation. The argument may be numeric or a group name taken from /etc/group.

-i  Sets the inheriting mode. The group and user used for entry creation are taken from the directory in which they belong. -i- disable the option. -i+ enable it.

-r  Control the depth (sub-directory) at which stops. A value of 0 limits the work to the current directory. The default value is 0. A value of 99 should be enough to cover the entire file system. won't cross file system (partition).

-R  Enables recursion through N directories without a file, (ie. directories that have not been umssync'ed). For use with the -c+ and -r options. The default is 0, ( should not enter these directories).

-u  Sets the user id used for entry creation. The argument may be numeric or a user name taken from /etc/passwd.

BUGS

AUTHOR
Jacques Gelinas (jacques@solucorp.qc.ca)

SEE ALSO
    umssetup(8)
    Technical documentation is available is plain text or html
    format from sunsite.unc.edu:/pub/Linux/system/Filesystems/umsdos.
    The files are umsdos-0.5.doc.txt.gz and umsdos-0.5.doc.html.tar.gz